Bug 147948 - Move "/usr/bin/assistant" from qt-devel to qt
Summary: Move "/usr/bin/assistant" from qt-devel to qt
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-13 21:40 UTC by Gérard Milmeister
Modified: 2008-08-02 23:40 UTC (History)
4 users (show)

Fixed In Version: 4.3.3-1.fc8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 01:28:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gérard Milmeister 2005-02-13 21:40:29 UTC
Move the "/usr/bin/assistant" program from qt-devel to qt.
Several applications like, e.g., qcad use assistant as
their help viewer. Using them would require to install qt-devel,
which is otherwise not needed.

Comment 1 Ngo Than 2005-02-14 12:58:38 UTC
i don't want to move assistant in qt package because it almost needs the whole
html files, which are included in devel packger rather and take 26MB!

Comment 2 Michael Schwendt 2005-02-14 13:28:20 UTC
Then we can only split off the qcad manual to avoid qt-devel dependency in qcad.

Comment 3 Kevin Kofler 2007-05-18 12:37:40 UTC
Uh, assistant doesn't really _need_ the Qt documentation, as Gérard says, it 
can also be used to show application documentation thanks to the profiles 
feature. And in fact qt-devel in FC6 doesn't even seem to require 
qt-devel-docs, so it's already possible to install assistant without the Qt 
documentation.

I'd suggest putting the assistant.desktop (which only works with Qt 
documentation installed) into qt-devel-docs and put the executable either into 
qt or into its own qt-assistant package (which is what Debian is doing AFAIK).

Similarly, it would be nice if assistant-qt4 was split out of qt4-doc, which, 
while at least not a -devel package, is still a huge library documentation 
package.

Too bad it's probably too late for F7. F6/F7 updates maybe?

Comment 4 Rex Dieter 2007-05-18 12:46:52 UTC
Interesting, I think I like that approach.  Would be a good chance for us to
unify our qt/qt4 packaging strategies a bit.

Definitely, post F7 material though.

Comment 5 Kevin Kofler 2007-09-13 05:05:07 UTC
Any chance we can get this changed now?

Comment 6 Rex Dieter 2007-10-08 12:18:24 UTC
Than?  opinion?

Comment 7 Orion Poplawski 2007-12-03 21:29:24 UTC
Hello?  Progress?  I'm starting to get paraview 3.2.1 into rawhide and it ships
docs read by assistant and I also don't want to pull in qt4-doc.  I'm going to
add "Requires: qt4-assistant" in the hopes it will be split later.

Also, looks like we no longer have /usr/bin/assistant, but we do have
/usr/bin/assistant-qt4.  What's up there?

Comment 8 Kevin Kofler 2007-12-03 21:35:24 UTC
It's called assistant-qt4 so it doesn't conflict with Qt 3, the 
QAssistantClient class is patched to look for that already, if paraview uses 
some custom code to launch assistant, it should be patched too.

Comment 9 Rex Dieter 2007-12-04 15:15:22 UTC
> I'm going to add "Requires: qt4-assistant" in the hopes it will be split later.

That's probably your best bet.  In the meantime, I'll work to implement Kevin's
suggestion from comment #3 for qt4.

Comment 10 Fedora Update System 2007-12-10 20:43:42 UTC
qt4-4.3.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt4'

Comment 11 Fedora Update System 2007-12-10 20:48:43 UTC
qt4-4.3.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt4'

Comment 12 Fedora Update System 2008-01-03 01:28:09 UTC
qt4-4.3.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-01-03 01:45:30 UTC
qt4-4.3.3-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.